import { getElementModel } from "./elementModel";

const templateDict = {
  GRADUATE: {
    elements: [
      {
        type: "CARD_HEAD",
        modelType: "MODEL_ONE",
      },
    ],
    side: [
      {
        type: "GUTTER",
      },
      {
        type: "FILL_FIELD",
        fields: [
          {
            name: "考生编号",
            code: "",
          },
          {
            name: "姓名",
            code: "",
          },
          {
            name: "考生确认签名",
            code: "",
          },
        ],
      },
    ],
  },
};

export const getPageInitElements = (templateInfo) => {
  const temps = templateDict[templateInfo.templateType];

  let pageInit = {};
  Object.keys(temps).forEach((k) => {
    pageInit[k] = temps[k].map((item) => {
      const model = getElementModel(item.type, templateInfo);
      return Object.assign(model, item);
    });
  });

  return pageInit;
};
